//-----------------------------------------------------------------------------
//Name: Shroom
//Author: Chao
//Version: 1
//-----------------------------------------------------------------------------
// Load dts shapes and merge animations  

datablock TSShapeConstructor(ShroomDts)
{
	baseShape  = "./Shroom.dts";
	sequence0  = "./Shroom_Root.dsq root";

	sequence1  = "./Shroom_Run.dsq run";
	sequence2  = "./Shroom_Run.dsq walk";
	sequence3  = "./Shroom_Root.dsq back";
	sequence4  = "./Shroom_Root.dsq side";

	sequence5  = "./Shroom_Root.dsq crouch";
	sequence6  = "./Shroom_Run.dsq crouchRun";
	sequence7  = "./Shroom_Root.dsq crouchBack";
	sequence8  = "./Shroom_Root.dsq crouchSide";

	sequence9  = "./Shroom_Root.dsq look";
	sequence10 = "./Shroom_Root.dsq headside";
	sequence11 = "./Shroom_Root.dsq headUp";

	sequence12 = "./Shroom_Root.dsq jump";
	sequence13 = "./Shroom_Root.dsq standjump";
	sequence14 = "./Shroom_Root.dsq fall";
	sequence15 = "./Shroom_Root.dsq land";

	sequence16 = "./Shroom_Root.dsq armAttack";
	sequence17 = "./Shroom_Root.dsq armReadyLeft";
	sequence18 = "./Shroom_Root.dsq armReadyRight";
	sequence19 = "./Shroom_Root.dsq armReadyBoth";
	sequence20 = "./Shroom_Root.dsq spearready";  
	sequence21 = "./Shroom_Root.dsq spearThrow";

	sequence22 = "./Shroom_Root.dsq talk";  

	sequence23 = "./Shroom_Death.dsq death1"; 
	
	sequence24 = "./Shroom_Land.dsq shiftUp";
	sequence25 = "./Shroom_Land.dsq shiftDown";
	sequence26 = "./Shroom_Land.dsq shiftAway";
	sequence27 = "./Shroom_Land.dsq shiftTo";
	sequence28 = "./Shroom_Land.dsq shiftLeft";
	sequence29 = "./Shroom_Land.dsq shiftRight";
	sequence30 = "./Shroom_Land.dsq rotCW";
	sequence31 = "./Shroom_Land.dsq rotCCW";

	sequence32 = "./Shroom_Land.dsq undo";
	sequence33 = "./Shroom_Land.dsq plant";

	sequence34 = "./Shroom_Root.dsq sit";

	sequence35 = "./Shroom_Land.dsq wrench";

   sequence36 = "./Shroom_Land.dsq activate";
   sequence37 = "./Shroom_Land.dsq activate2";

   sequence38 = "./Shroom_Land.dsq leftrecoil";
};    


datablock PlayerData(ShroomArmor)
{
   renderFirstPerson = false;
   emap = false;
   
   className = Armor;
   shapeFile = "./Shroom.dts";
   cameraMaxDist = 8;
   cameraTilt = 0.261;//0.174 * 2.5; //~25 degrees
   cameraVerticalOffset = 2.3;
   computeCRC = false;
  
   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;
   
   //debrisShapeName = "~/data/shapes/player/debris_player.dts";
   //debris = horseDebris;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 1.5708;
   maxFreelookAngle = 3.0;

   mass = 90;
   drag = 0.1;
   density = 0.7;
   maxDamage = 150;
   maxEnergy =  10;
   repairRate = 0.33;

   rechargeRate = 0.4;

   runForce = 11 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 6;
   maxBackwardSpeed = 3;
   maxSideSpeed = 3;

   maxForwardCrouchSpeed = 6;
   maxBackwardCrouchSpeed = 3;
   maxSideCrouchSpeed = 3;

   maxForwardProneSpeed = 6;
   maxBackwardProneSpeed = 3;
   maxSideProneSpeed = 3;

   maxForwardWalkSpeed = 6;
   maxBackwardWalkSpeed = 3;
   maxSideWalkSpeed = 3;

   maxUnderwaterForwardSpeed = 2;
   maxUnderwaterBackwardSpeed = 1;
   maxUnderwaterSideSpeed = 1;
   
   thirdpersononly = 1;

   jumpForce = 7 * 90; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("1 1 2", 4);
   crouchBoundingBox	= vectorScale("1 1 2", 4);
   
   pickupRadius = 0.75;
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;
  
   //footPuffEmitter = LightPuffEmitter;
   footPuffNumParts = 10;
   footPuffRadius = 0.25;

   //dustEmitter = LiftoffDustEmitter;

   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.1;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;

   // Controls over slope of runnable/jumpable surfaces
   runSurfaceAngle  = 85;
   jumpSurfaceAngle = 86;

   minJumpSpeed = 20;
   maxJumpSpeed = 30;

   horizMaxSpeed = 68;
   horizResistSpeed = 33;
   horizResistFactor = 0.35;

   upMaxSpeed = 80;
   upResistSpeed = 25;
   upResistFactor = 0.3;
   
   footstepSplashHeight = 0.35;

   //NOTE:  some sounds commented out until wav's are available

   JumpSound			= HorseJumpSound;

   // Footstep Sounds
//   FootSoftSound        = HorseFootFallSound;
//   FootHardSound        = HorseFootFallSound;
//   FootMetalSound       = HorseFootFallSound;
//   FootSnowSound        = HorseFootFallSound;
//   FootShallowSound     = HorseFootFallSound;
//   FootWadingSound      = HorseFootFallSound;
//   FootUnderwaterSound  = HorseFootFallSound;
   //FootBubblesSound     = FootLightBubblesSound;
   //movingBubblesSound   = ArmorMoveBubblesSound;
   //waterBreathSound     = WaterBreathMaleSound;

   //impactSoftSound      = ImpactLightSoftSound;
   //impactHardSound      = ImpactLightHardSound;
   //impactMetalSound     = ImpactLightMetalSound;
   //impactSnowSound      = ImpactLightSnowSound;
   
   impactWaterEasy      = Splash1Sound;
   impactWaterMedium    = Splash1Sound;
   impactWaterHard      = Splash1Sound;
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;
   
   //exitingWater         = ExitingWaterLightSound;

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	uiName = "Shroom";
	rideable = true;
		lookUpLimit = 0.6;
		lookDownLimit = 0.2;

	canRide = false;
	showEnergyBar = false;
	paintable = true;

	brickImage = horseBrickImage;	//the imageData to use for brick deployment
};